Top

Author Archive | OM4

Version 1.9.5 Released

Version 1.9.5 of the WooCommerce Zapier plugin has just been released.

This release contains the following improvements:

  • Fix: Typo in the logger, and context handling logic fixed. #200
  • Fix: Incorrect text-domain on privacy class. PR#71
  • New: Improved compatibility with certain plugins that modify the WP_Post data upon load. #204
  • New: Log get_post errors and modified behaviour.
  • Marked as compatible with WordPress 5.2.3.
  • Marked as compatible with WooCommerce 3.7.0.
  • Marked as compatible with WooCommerce Subscriptions v2.6.1 (and backwards compatible with WooCommerce Subscriptions v2.4.x). #208
  • Change: Coding standard improvements, including improved documentation. PR#71
  • Change: Minimum required WordPress version is 4.6.0.

Update today!

The latest plugin version can be downloaded via your WordPress dashboard, or via the WooCommerce.com my account page.

Questions?

If you are looking for technical support, please try the Offical WooCommerce Zapier Documentation, Zapier Help Desk or the WooCommerce Help Desk.

Version 1.9.4 Released

Version 1.9.4 of the WooCommerce Zapier plugin has just been released.

This release contains the following improvements:

  • Fix: Avoid undefined index when an order or customer’s billing or shipping country code is invalid. #193
  • Fix: Avoid undefined index when a customer’s shipping state is invalid. #193, #190
  • Fix: Check multisite config for WooCommerce availability, allowing WooCommerce to be network activated. #192
  • Fix: Avoid deprecated notice for function get_used_coupons() when running WooCommerce 3.7 (development version). #197

Update today!

The latest plugin version can be downloaded via your WordPress dashboard, or via the WooCommerce.com my account page.

Questions?

If you are looking for technical support, please try the Offical WooCommerce Zapier Documentation, Zapier Help Desk or the WooCommerce Help Desk.

Version 1.9.1 Released

Version 1.9.1 of the WooCommerce Zapier plugin has just been released.

This release implements a hotfix for users that have upgraded to WooCommerce Zapier version 1.9.0 and have a web hosting environment that has PHP opcode caching enabled with opcache.save_comments=0.

Update today!

The latest plugin version can be downloaded via your WordPress dashboard, or via the WooCommerce.com my account page.

Questions?

If you are looking for technical support, please try the Offical WooCommerce Zapier Documentation, Zapier Help Desk or the WooCommerce Help Desk.

Moving Fast and (not) Breaking Things: Minimum PHP Version Changes

With the next WooCommerce Zapier release, we are moving forward what PHP version we support. We decided in one hand by technical reason, and on the other to aligning with WordPress itself.

For the first step and easing the future migration, we have increased the minimum required PHP version to PHP 5.4.

The next WooCommerce Zapier release (version 1.9) will not run on PHP 5.2.x or 5.3.x. Instead, we will display a banner to instruct the user to update:

This doesn’t mean we will stop supporting older WordPress and WooCommerce versions. Our extension still works with WordPress 4.5 and above and WooCommerce 3.0 and above.

For full details, please see the system requirements in the documentation.

Version 1.8.1 Released

Version 1.8.1 of the WooCommerce Zapier plugin has just been released.

This release is a bugfix release:

  • Improve support of older WooCommerce versions (3.3.0 and older) combined with specific newer WordPress versions.
  • Compatibility with WooCommerce Subscriptions v2.5.0 (and backwards compatible with WooCommerce Subscriptions v2.3.x)

Update today!

The latest plugin version can be downloaded via your WordPress dashboard, or via the WooCommerce.com my account page.

Questions?

If you are looking for technical support, please try the Offical WooCommerce Zapier Documentation, Zapier Help Desk or the WooCommerce Help Desk.

Official support for the latest versions of PHP, WordPress & WooCommerce

We recently released a new version of our Zapier Integration plugin for WooCommerce (version 1.8.0). This release contains changes, updates and fixes and increments support to  WordPress (5.0.3) and WooCommerce (3.5.4).

Apart from the support for the latest WordPress and WooCommerce versions, the Zapier Integration plugin is now thoroughly tested on all of the currently supported PHP versions, including 7.2 and the most recent 7.3/7.3.1. We are currently maintaining backward compatibility down to PHP 5.2.

There are performance and security benefits that come with switching to PHP 7.x. Every new 7.x release of the core PHP platform is getting faster and using fewer resources from the server and of course, implementing security fixes.

We pay great attention to support and compatibility for a wide range of versions, however we encourage everyone to update to the latest available versions.

We advise every WooCommerce Zapier Integration plugin customer to update their WooCommerce store to the latest version, which usually contains security-related fixes and other enhancements as well.

Version 1.8.0 Released

Version 1.8.0 of the WooCommerce Zapier plugin has just been released.

This release includes the following:

  • Change: When setting up Customer, Order or Subscription Zaps, send real Customer/Order/Subscription data from your store (rather than static data). This should make setting up Zaps much easier, as the Zap editor will show real fields and data from your store.
  • Change: Remove remaining support for WooCommerce 2.6.x. WooCommerce 3.0 or above is required.
  • Change: The “Subscription Created” trigger now triggers for all cases (not just checkout and REST API subscription creations).
  • Change: Requires WordPress v4.6.0 or newer (no longer supports WordPress v4.5.x).
  • Change: Requires WooCommerce Subscriptions v2.3.0 or newer (no longer supports WooCommerce Subscriptions v2.2.x or 2.1.x).

Update today!

The latest plugin version can be downloaded via your WordPress dashboard, or via the WooCommerce.com my account page.

Questions?

If you are looking for technical support, please try the Offical WooCommerce Zapier Documentation, Zapier Help Desk or the WooCommerce Help Desk.

Version 1.7 Released

Version 1.7 of the WooCommerce Zapier plugin has just been released.

This release includes the following:

  • Compatibility with WooCommerce 3.3 and 3.2 (and backwards compatible with WooCommerce v3.1.x and 3.0.x).
  • Send data to Zapier synchronously, instead of relying on WordPress Cron. This should prevent scenarios where data is sent to Zapier multiple times or not at all.
  • New: Line Item Unit Price field for orders and subscriptions.
  • Fix: Avoid intermittent PHP fatal error that occurred with some variable products.
  • “New Order Status Change” trigger: Include previous and new order statuses in the order’s notes.
  • “New Subscription Status Change” trigger: Include previous and new subscription statuses in the subscription’s notes.
  • Improved logging of Zapier’s response after sending data to Zapier.
  • Sending data asynchronously via WordPress cron is now deprecated and will be removed in a future version.
  • Change: Minimum required version is now WooCommerce 3.0.0.

See the full changelog for details of the other changes in this release.

Update today!

The latest plugin version can be downloaded via your WordPress dashboard, or via the WooCommerce.com my account page.

Questions?

If you are looking for technical support, please try the Offical WooCommerce Zapier Documentation, Zapier Help Desk or the WooCommerce Help Desk.

Version 1.5.2 Maintenance Release

Today we have released v1.5.2 of the WooCommerce Zapier Integration extension.

This release is a minor maintenance release, which fixes a bug that was causing some order data to be sent to Zapier in HTML encoded form.

If you were having issues with your Zaps not sending special characters (such as ampersands and quotation marks) correctly, this new version should fix those issues for you.

The full changelog is as follows:

  • Fix: Ensure order data is sent to Zapier in plain (text) form (rather than HTML encoded).
  • Change: remove reliance on $woocommerce global.
  • Change: readme.txt improvements.

Update today!

The latest version can be downloaded via your WordPress dashboard, or via the WooThemes.com my account page.

Questions?

If you are looking for technical support, please try the Offical WooCommerce Zapier Documentation, Zapier Help Desk or the WooCommerce Help Desk.